/* ************************************************************************** */
/** Descriptive File Name: Lab 2c - demonstration of implementing a finite 
    state machine to convert momentary push buttons into push-on / push off
    operation.

  @ Author
    Richard Wall
 
  @ Date
    Created:    December 12, 2016, 12:00 PM
    Verified:   May 20,2017
  
  @Company
    Digilent Inc.

  @File Name
    main.h

  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Summary
    momentary contact push button operation as Push-on / push-off switch.

  @Description
    This project implements a non-blocking push-on / push-off push button 
    operation including switch contact bouncing elimination.

  @Remarks
    Uses XC32 peripheral library. See 
 http://ww1.microchip.com/downloads/en/DeviceDoc/32bitPeripheralLibraryGuide.pdf
 http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  See notes in Section 12.1.4 of the PIC32MX370 users manual
    http://ww1.microchip.com/downloads/en/DeviceDoc/60001185D.pdf
 
************************************************************************** */

#ifndef MAIN_H
#define	MAIN_H

/* Macros to configure PIC pins as inputs for push button sensors */
    #define BTNL_bit    BIT_0   // RB0
    #define BTNR_bit    BIT_8   // RB8
    #define BTNU_bit    BIT_1   // RB1
    #define BTND_bit    BIT_15  // RA15
    #define BTNC_bit    BIT_0   // RF0

#endif	/* MAIN_H */
