/* ************************************************************************** */
/** Descriptive File Name: RC.c - Remote servo controller demonstration program

  @ Author  
     Richard Wall
  
  @ Date: 
     Created:    March 3, 2017
     Verified:	 May 21, 2017
	 
  @Company
    Digilent Inc

  @File Name
    RC.h

  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Summary
    Test program for the 2 channel Servo Motor using the Basys MX3.

  @Description
    See RC.txt under the Reference folder

**************************************************************************** */

#ifndef __RC_H_
	#define __RC_H_

    #define cfgRC1()    PORTSetPinsDigitalOut(IOPORT_B, BIT_8)
    #define cfgRC2()    PORTSetPinsDigitalOut(IOPORT_A, BIT_15)
// RC Channel pin assignment macros
	#define RC_1(a)     LATBbits.LATB8 = a
	#define RC_2(a) 	LATAbits.LATA15 = a

	#define NRC		2	// Number of RC channels

// RC Setting range
	#define RC_MIN		100
	#define	RC_MAX		200
	#define RC_SPAN		100

	void initTimer2(void);
	void initRC(void);
	void set_RC(int ch, int ctrl);
	int check_switches(void);

#endif
    
/* End of RC.h */
